GETLOADAVG(3)

NAME
getloadavg - get system load averages

SYNOPSIS
#define _BSD_SOURCE         /* See feature_test_macros(7) */
#include <stdlib.h>

int getloadavg(double loadavg[], int nelem);

DESCRIPTION
The getloadavg() function returns the number of processes in the system run queue averaged over various periods of time. Up to nelem samples are retrieved and assigned to successive elements of loadavg[]. The system imposes a maximum of 3 samples, representing averages over the last 1, 5, and 15 minutes, respectively.

RETURN VALUE
If the load average was unobtainable, -1 is returned; otherwise, the number of samples actually retrieved is returned.

VERSIONS
This function is available in glibc since version 2.2.

CONFORMING TO
Not in POSIX.1-2001. Present on the BSDs and Solaris.

SEE ALSO
uptime(1), proc(5)

COLOPHON
This page is part of release 3.57 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.